Skip to content
TarekyDocs
Console

Public API: a raster map tile (metered)

GET
/v1/tiles/{theme}/{z}/{x}/{y}
curl --request GET \
--url 'https://api.tareky.com/v1/tiles/light/13/5105/3290%402x.webp?lang=ar' \
--header 'Authorization: Bearer <token>'
theme
required
string
Allowed values: light dark satellite
z
required
integer
<= 20
Example
13
x
required
integer
<= 9007199254740991
Example
5105
y
required
string
Example
3290@2x.webp

{y} with an optional @2x and format extension

lang
string
default: ar
Allowed values: ar en
x-access-key-id
string

Legacy key id (until its sunset)

The tile, in the format the {y} extension chose

string format: binary

Rate limit or monthly quota exceeded; see Retry-After

object
error
required
object
code
required

Stable machine-readable code, e.g. quota_exceeded, no_route

string
message
required
string
status
required
integer
>= -9007199254740991 <= 9007199254740991
details

For invalid_request: the validation issues

docsUrl
required
string
requestId
string

Any other error, in the /v1 error envelope

object
error
required
object
code
required

Stable machine-readable code, e.g. quota_exceeded, no_route

string
message
required
string
status
required
integer
>= -9007199254740991 <= 9007199254740991
details

For invalid_request: the validation issues

docsUrl
required
string
requestId
string